import 'package:doctor_app_flutter/config/size_config.dart';
import 'package:doctor_app_flutter/models/patient/patiant_info_model.dart';
import 'package:doctor_app_flutter/widgets/shared/app_texts_widget.dart';
import 'package:flutter/material.dart';

class PatientHeaderWidgetNoAvatar extends StatelessWidget {
  final PatiantInformtion patient;

  PatientHeaderWidgetNoAvatar(this.patient);

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        Container(
          margin: EdgeInsets.all(16),
          child: Row(
            children: [
              Expanded(
                child: Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: [
                    AppText(
                      patient.firstName + ' ' + patient.lastName,
                      fontWeight: FontWeight.bold,
                      fontSize: SizeConfig.textMultiplier * 2.2,
                    ),
                    Row(
                      children: [
                        AppText(
                          "VIP",
                          fontWeight: FontWeight.bold,
                          fontSize: SizeConfig.textMultiplier * 2.2,
                        ),
                        SizedBox(
                          width: 8,
                        ),
                        AppText(
                          " ${patient.age}",
                          fontWeight: FontWeight.normal,
                          fontSize: SizeConfig.textMultiplier * 2.0,
                        ),
                      ],
                    ),
                    AppText(
                      patient.visitType ?? "",
                      fontWeight: FontWeight.bold,
                      fontSize: SizeConfig.textMultiplier * 2.0,
                    ),
                    AppText(
                      "${patient.companyName != null ? patient.companyName : ""}",
                      fontWeight: FontWeight.bold,
                      fontSize: SizeConfig.textMultiplier * 2.0,
                    ),
                  ],
                ),
              ),
              Icon(
                Icons.info_outline,
                color: Colors.black,
              ),
            ],
          ),
        ),
        Container(
          width: double.infinity,
          height: 1,
          color: Color(0xffCCCCCC),
        ),
      ],
    );
  }
}
